%define oname   Pixelorama
%define rdnsname com.orama_interactive.Pixelorama

Name:           pixelorama
Version:        0.8.2
Release:        %mkrel 2
Summary:        2D sprite editor with animation support
Group:          Graphics/Editors and Converters
License:        MIT
URL:            https://orama-interactive.itch.io/pixelorama
Source0:        https://github.com/Orama-Interactive/Pixelorama/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  godot-headless
BuildRequires:  icoutils
Requires:       godot-runner

%description
Pixelorama is a free and open source 2D sprite editor, made by Orama
Interactive with the Godot game engine.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
godot-headless --export-pack "Linux/X11 64-bit" %{name}.pck

%install
install -D -m644 %{name}.pck %{buildroot}%{_datadir}/%{name}/%{name}.pck

# Needs Brushes and Palettes in data dir
cp -a pixelorama_data/* %{buildroot}%{_datadir}/%{name}/

cat << EOF > %{name}.sh
#!/bin/sh
exec godot-runner --main-pack %{_datadir}/%{name}/%{name}.pck "\$@"
EOF
install -D -m755 %{name}.sh %{buildroot}%{_bindir}/%{name}

install -D -m644 Misc/Linux/%{rdnsname}.desktop \
  %{buildroot}%{_datadir}/applications/%{rdnsname}.desktop

install -D -m644 Misc/Linux/%{rdnsname}.appdata.xml \
  %{buildroot}%{_datadir}/metainfo/%{rdnsname}.appdata.xml

install -D -m644 assets/graphics/icons/icon.png \
  %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{rdnsname}.desktop
%{_datadir}/metainfo/%{rdnsname}.appdata.xml
%{_iconsdir}/hicolor/256x256/apps/%{name}.png


%changelog
* Sat Dec 12 2020 akien <akien> 0.8.2-2.mga8
+ Revision: 1655873
- Use .appdata.xml extension for metainfo, that's the correct combination
- Version 0.8.2

* Wed Oct 21 2020 akien <akien> 0.8.1-1.mga8
+ Revision: 1637609
- Version 0.8.1
- Version 0.8

* Tue Mar 17 2020 akien <akien> 0.6.2-1.mga8
+ Revision: 1557507
- Rename brushes with %% in filename
- imported package pixelorama

